package com.ruoyi.project.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

/**
 * 通知管理对象 act_notify
 * 
 * @author yf
 * @date 2020-07-07
 */
public class Notify extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** $column.columnComment */
    private String guid;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 内容 */
    private String content;

    /** 发送时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发送时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date sendtime;

    /** 发送状态（0-未发送，1-已发送） */
    private Long sendstatus;

    /** 发送人 */
    private String sendperson;

    /** 部门通知标志位（0-个人通知，1-部门通知） */
    private Long deptflg;

    /** 接收人 */
    private String recvperson;

    /** 签收状态（0-未签收，1-已签收） */
    @Excel(name = "签收状态", readConverterExp = "0=-未签收，1-已签收")
    private Long recvstatus;

    /** 签收时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "签收时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date recvtime;

    /** 附件路径 */
    private String filepath;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setGuid(String guid) 
    {
        this.guid = guid;
    }

    public String getGuid() 
    {
        return guid;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setSendtime(Date sendtime) 
    {
        this.sendtime = sendtime;
    }

    public Date getSendtime() 
    {
        return sendtime;
    }
    public void setSendstatus(Long sendstatus) 
    {
        this.sendstatus = sendstatus;
    }

    public Long getSendstatus() 
    {
        return sendstatus;
    }
    public void setSendperson(String sendperson) 
    {
        this.sendperson = sendperson;
    }

    public String getSendperson() 
    {
        return sendperson;
    }
    public void setDeptflg(Long deptflg) 
    {
        this.deptflg = deptflg;
    }

    public Long getDeptflg() 
    {
        return deptflg;
    }
    public void setRecvperson(String recvperson) 
    {
        this.recvperson = recvperson;
    }

    public String getRecvperson() 
    {
        return recvperson;
    }
    public void setRecvstatus(Long recvstatus) 
    {
        this.recvstatus = recvstatus;
    }

    public Long getRecvstatus() 
    {
        return recvstatus;
    }
    public void setRecvtime(Date recvtime) 
    {
        this.recvtime = recvtime;
    }

    public Date getRecvtime() 
    {
        return recvtime;
    }
    public void setFilepath(String filepath) 
    {
        this.filepath = filepath;
    }

    public String getFilepath() 
    {
        return filepath;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("guid", getGuid())
            .append("title", getTitle())
            .append("content", getContent())
            .append("sendtime", getSendtime())
            .append("sendstatus", getSendstatus())
            .append("sendperson", getSendperson())
            .append("deptflg", getDeptflg())
            .append("recvperson", getRecvperson())
            .append("recvstatus", getRecvstatus())
            .append("recvtime", getRecvtime())
            .append("filepath", getFilepath())
            .toString();
    }
}
